package com.yihu.jw.entity.door;


import com.yihu.jw.entity.iot.gateway.IdEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * create by hmf on 2019.10.23
 */
@Entity
@Table(name = "wlyy_feldsher_ca")
@SequenceGenerator(name="id_generated", sequenceName="wlyy_feldsher_ca")
public class WlyyFeldsherCADO extends IdEntity {
    private String recipeNo;//医嘱号
    private String patient;//居民code
    private String patientName;//居民名称
    private String doctor;//医生code
    private String doctorName;//医生名称
    private String doctorOpenid;//医生openid
    private String hospital;//机构
    private String hospitalName;//机构名称
    private Integer status;//1未通知 0已通知
    private Date createTime;//创建时间

    public String getRecipeNo() {
        return recipeNo;
    }

    public void setRecipeNo(String recipeNo) {
        this.recipeNo = recipeNo;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getDoctorOpenid() {
        return doctorOpenid;
    }

    public void setDoctorOpenid(String doctorOpenid) {
        this.doctorOpenid = doctorOpenid;
    }

    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
